## javax.mail.search
Class AddressTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.AddressTerm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FromTerm, RecipientTerm

    public abstract class AddressTerm

extends SearchTerm

This class implements Message Address comparisons.

See Also:
  Serialized Form

Field Summary
`protected Address` `address` The address.

Constructor Summary
`protected` `AddressTerm(Address address)`

Method Summary
`boolean` `equals(java.lang.Object obj)` Equality comparison.
`Address` `getAddress()` Return the address to match with.
`int` `hashCode()` Compute a hashCode for this object.
`protected boolean` `match(Address a)` Match against the argument Address.

Methods inherited from class javax.mail.search.SearchTerm
`match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected Address address

  The address.

Constructor Detail

### AddressTerm

    protected AddressTerm(Address address)

Method Detail

### getAddress

    public Address getAddress()

  Return the address to match with.

### match

    protected boolean match(Address a)

  Match against the argument Address.

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`